--[[

TC-TitleData.lua

Title IDs for all the titles a player could potentially have.

--]]


-- These are titles that either faction can get.
TheCollectorCommonTitleTable = {
  -- Gladiator
  [29]={4, 7, "Top 0.5% of arena teams at end of previous season"},

  -- Duelist
  [30]={4, 7, "Top 3.0% of arena teams at end of previous season"},

  -- Rival
  [31]={4, 7, "Top 10% of arena teams at end of previous season"},

  -- Challenger
  [32]={4, 7, "Top 35% of arena teams at end of previous season"},

  -- of the Shattered Sun
  [38]={4, 7, "Exalted with Shattered Sun Offensive and 1000 gold"},

  -- Battlemaster
  [41]={4, 5, "Battlemaster"},

  -- the Seeker
  [42]={4, 7, "Complete 3000 quests"},

  -- Elder
  [43]={4, 5, "To Honor One's Elders"},

  -- the Exalted
  [46]={4, 7, "Raise 40 reputations to exalted status"},

  -- the Explorer
  [47]={4, 7, "Discover all zones of Azeroth, Outland, and Northrend"},

  -- Arena Master
  [50]={4, 5, "The Arena Master"},

  -- Salty
  [51]={4, 5, "Accomplished Angler"},

  -- Chef
  [52]={4, 5, "Hail to the Chef"},

  -- Twilight Vanquisher
  [89]={4, 5, "Heroic: The Twilight Zone"},

  -- the Hallowed
  [92]={4, 5, "Hallowed Be Thy Name"},

  -- Loremaster
  [93]={4, 5, "The Loremaster"},

  -- the Flawless Victor
  --[96]={4, 7, "Win 10 ranked arena matches in a row with a rating above 2,000 at level 80"},

  -- Champion of the Frozen Wastes
  [97]={4, 5, "Champion of the Frozen Wastes"},

  -- Ambassador
  [98]={4, 7, "Earn exalted reputation with 5 home cities"},

  -- the Argent Champion
  [99]={4, 7, "Earn exalted status with the Argent Dawn and the Argent Crusade"},

  -- Guardian of Cenarius
  [100]={4, 7, "Earn exalted status with the Cenarion Circle and Cenarion Expedition"},

  -- Brewmaster
  [101]={4, 5, "Brewmaster"},

  -- Merrymaker
  [102]={4, 5, "Merrymaker"},

  -- the Love Fool
  [103]={4, 5, "Fool For Love"},

  -- of the Nightfall
  [107]={4, 5, "The Twilight Zone"},

  -- the Immortal
  [108]={4, 5, "The Immortal"},

  -- the Undying
  [109]={4, 5, "The Undying"},

  -- Jenkins
  [110]={4, 5, "Leeeeeeeeeeeeeroy!"},

  -- Bloodsail Admiral
  [111]={4, 2, "Avast Ye, Admiral!"},

  -- the Insane
  [112]={4, 7, "Earn exalted status with:\nBooty Bay\nEverlook\nGadgetzan,\nRatchet\nDarkmoon Faire\nRavenholdt\nShen'dralar\n\nand Honored with Bloodsail Buccaneers"},

  -- the Noble
  [122]={4, 5, "Noble Gardener"},

  -- Conqueror of Ulduar
  [126]={4, 5, "Conqueror of Ulduar"},

  -- Champion of Ulduar
  [127]={4, 5, "Champion of Ulduar"},

  -- Starcaller
  [129]={4, 5, "Observed"},

  -- the Astral Walker
  [130]={4, 5, "Heroic: Observed"},

  -- Herald of the Titans
  [131]={4, 5, "Herald of the Titans"},

  -- the Pilgrim
  [133]={4, 5, "Pilgrim"},

  -- Argent Defender
  [136]={4, 5, "A Tribute to Dedicated Insanity"},

  -- the Patient
  [137]={4, 5, "Looking for Many"},

  -- the Light of the Dawn
  [138]={4, 5, "The Light of Dawn"},

  -- the Bane of the Fallen King
  [139]={4, 5, "Fall of the Lich King"},

  -- the Kingslayer
  [140]={4, 5, "The Frozen Throne (10 or 25 man)"},

  -- of the Ashen Verdict
  [141]={4, 5, "The Ashen Verdict"},

};


-- These are titles that only Alliance can get.
TheCollectorAllianceTitleTable = {
  -- Justicar
  [35]={4, 7, "Exalted with Silverwing Sentinels, Stormpike Guard, and The League of Arathor"},

  -- Flame Warden
  [44]={4, 5, "The Flame Warden"},

  -- the Diplomat
  [48]={4, 7, "Raise your reputation level to exalted with Timbermaw Hold, Sporeggar, and Kurenai"},

  -- of Gnomeregan
  [81]={4, 7, "Earn exalted status with and the right to represent the Gnomeregan Exiles in the Argent Tournament"},

  -- of the Alliance
  [94]={4, 7, "Get 100,000 honorable kills"},

  -- of the Exodar
  [113]={4, 7, "Earn exalted status with and the right to represent the Exodar in the Argent Tournament"},

  -- of Darnassus
  [114]={4, 7, "Earn exalted status with and the right to represent Darnassus in the Argent Tournament"},

  -- of Ironforge
  [115]={4, 7, "Earn exalted status with and the right to represent Ironforge in the Argent Tournament"},

  -- of Stormwind
  [116]={4, 7, "Earn exalted status with and the right to represent Stormwind in the Argent Tournament"},

  -- Crusader
  [123]={4, 7, "Earn exalted status with the Argent Crusade and the right to represent the Alliance in the Argent Tournament"},
};



-- These are titles that only Horde can get.
TheCollectorHordeTitleTable = {
  -- Conqueror
  [34]={4, 7, "Exalted with Warsong Outriders, Frostwolf Clan, and The Defilers"},

  -- Flame Keeper
  [45]={4, 5, "The Flame Keeper"},

  -- the Diplomat
  [48]={4, 7, "Raise your reputation level to exalted with Timbermaw Hold, Sporeggar, and Mag'har"},

  -- of the Horde
  [95]={4, 7, "Get 100,000 honorable kills"},

  -- of Orgrimmar
  [117]={4, 7, "Earn exalted status with and the right to represent Orgrimmar in the Argent Tournament"},

  -- of Sen'jin
  [118]={4, 7, "Earn exalted status with and the right to represent Sen'jin in the Argent Tournament"},

  -- of Silvermoon
  [119]={4, 7, "Earn exalted status with and the right to represent Silvermoon in the Argent Tournament"},

  -- of Thunder Bluff
  [120]={4, 7, "Earn exalted status with and the right to represent Thunder Bluff in the Argent Tournament"},

  -- of the Undercity
  [121]={4, 7, "Earn exalted status with and the right to represent the Undercity in the Argent Tournament"},

  -- Crusader
  [123]={4, 7, "Earn exalted status with the Argent Crusade and the right to represent the Horde in the Argent Tournament"},

};


-- These are titles that male players can get.
TheCollectorMaleTitleTable = {
  -- Patron
  [105]={4, 5, "For The Children"},
};


-- These are titles that female players can get.
TheCollectorFemaleTitleTable = {
  -- Matron
  [104]={4, 5, "For The Children"},

};


-- These are titles that are hard to get that I haven't decided what to do with yet.
-- We put them here so it doesn't spew warnings about missing titles for these.
TheCollectorSpecialTitleTable = {
  -- Private
  [1]={4, 7, "Old PVP title"},

  -- Corporal
  [2]={4, 7, "Old PVP title"},

  -- Sergeant
  [3]={4, 7, "Old PVP title"},

  -- Master Sergeant
  [4]={4, 7, "Old PVP title"},

  -- Sergeant Major
  [5]={4, 7, "Old PVP title"},

  -- Knight
  [6]={4, 7, "Old PVP title"},

  -- Knight-Lieutenant
  [7]={4, 7, "Old PVP title"},

  -- Knight-Captain
  [8]={4, 7, "Old PVP title"},

  -- Knight-Champion
  [9]={4, 7, "Old PVP title"},

  -- Lieutenant Commander
  [10]={4, 7, "Old PVP title"},

  -- Commander
  [11]={4, 7, "Old PVP title"},

  -- Marshal
  [12]={4, 7, "Old PVP title"},

  -- Field Marshal
  [13]={4, 7, "Old PVP title"},

  -- Grand Marshal
  [14]={4, 7, "Old PVP title"},

  -- Scout
  [15]={4, 7, "Old PVP title"},

  -- Grunt
  [16]={4, 7, "Old PVP title"},

  -- Sergeant
  [17]={4, 7, "Old PVP title"},

  -- Senior Sergeant
  [18]={4, 7, "Old PVP title"},

  -- First Sergeant
  [19]={4, 7, "Old PVP title"},

  -- Stone Guard
  [20]={4, 7, "Old PVP title"},

  -- Blood Guard
  [21]={4, 7, "Old PVP title"},

  -- Legionnaire
  [22]={4, 7, "Old PVP title"},

  -- Centurion
  [23]={4, 7, "Old PVP title"},

  -- Champion
  [24]={4, 7, "Old PVP title"},

  -- Lieutenant General
  [25]={4, 7, "Old PVP title"},

  -- General
  [26]={4, 7, "Old PVP title"},

  -- Warlord
  [27]={4, 7, "Old PVP title"},

  -- High Warlord
  [28]={4, 7, "Old PVP title"},

  -- Scarab Lord
  [33]={4, 7, "Opening Ahn'Qiraj with the Scepter of the Shifting Sands"},

  -- Champion of the Naaru
  [36]={4, 7, "Complete the Trials of the Naaru and The Cudgel of Kar'desh"},

  -- Merciless Gladiator
  [37]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 2"},

  -- Hand of A'dal
  [39]={4, 7, "Complete the Medallion of Karabor and The Vials of Eternity"},

  -- Vengeful Gladiator
  [40]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 3"},

  -- Brutal Gladiator
  [49]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 4"},

  -- the Supreme
  [53]={4, 7, "Unknown"},

  -- of the Ten Storms
  [54]={4, 7, "Unknown"},

  -- of the Emerald Dream
  [55]={4, 7, "Unknown"},

  -- Crusader
  [56]={4, 7, "Unknown"},

  -- Prophet
  [57]={4, 7, "Unknown"},

  -- the Malefic
  [58]={4, 7, "Unknown"},

  -- Stalker
  [59]={4, 7, "Unknown"},

  -- of the Ebon Blade
  [60]={4, 7, "Unknown"},

  -- Archmage
  [61]={4, 7, "Unknown"},

  -- Warbringer
  [62]={4, 7, "Unknown"},

  -- Assassin
  [63]={4, 7, "Unknown"},

  -- Grand Master Alchemist
  [64]={4, 7, "Unknown"},

  -- Grand Master Blacksmith
  [65]={4, 7, "Unknown"},

  -- Iron Chef
  [66]={4, 7, "Unknown"},

  -- Grand Master Enchanter
  [67]={4, 7, "Unknown"},

  -- Grand Master Engineer
  [68]={4, 7, "Unknown"},

  -- Doctor
  [69]={4, 7, "Unknown"},

  -- Grand Master Angler
  [70]={4, 7, "Unknown"},

  -- Grand Master Herbalist
  [71]={4, 7, "Unknown"},

  -- Grand Master Scribe
  [72]={4, 7, "Unknown"},

  -- Grand Master Jewelcrafter
  [73]={4, 7, "Unknown"},

  -- Grand Master Leatherworker
  [74]={4, 7, "Unknown"},

  -- Grand Master Miner
  [75]={4, 7, "Unknown"},

  -- Grand Master Skinner
  [76]={4, 7, "Unknown"},

  -- Grand Master Tailor
  [77]={4, 7, "Unknown"},

  -- of Quel'Thalas
  [78]={4, 7, "Unknown"},

  -- of Argus
  [79]={4, 7, "Unknown"},

  -- of Khaz Modan
  [80]={4, 7, "Unknown"},

  -- the Lion Hearted
  [82]={4, 7, "Unknown"},

  -- Champion of Elune
  [83]={4, 7, "Unknown"},

  -- Hero of Orgrimmar
  [84]={4, 7, "Unknown"},

  -- Plainsrunner
  [85]={4, 7, "Unknown"},

  -- of the Darkspear
  [86]={4, 7, "Unknown"},

  -- the Forsaken
  [87]={4, 7, "Unknown"},

  -- the Magic Seeker
  [88]={4, 7, "Participated in the realm first Malygos kill (Heroic)"},

  -- Conqueror of Naxxramas
  [90]={4, 7, "Participated in the realm first Kel'Thuzad kill (Heroic)"},

  -- Hero of Northrend
  [91]={4, 7, "Unknown"},

  -- Obsidian Slayer
  [106]={4, 7, "Participated in the realm first Sartharion kill (Heroic)"},

  -- Death's Demise
  [124]={4, 7, "Participated in the realm first defeat of Yogg-Saron without the assistance of any keepers (Heroic)"},

  -- the Celestial Defender
  [125]={4, 7, "Participated in the realm first defeat of Algalon the Observer (Heroic)"},

  -- Vanquisher
  [128]={4, 7, "Top 1000 overall of arena teams at the end of the 2009 Arena Tournament"},

  -- Furious Gladiator
  [132]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 6"},

  -- Relentless Gladiator
  [134]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 7"},

  -- Grand Crusader
  [135]={4, 7, "Participated in the realm first conquest of the Trial of the Grand Crusader with 50 attempts remaining in 25-player mode."},

  -- Wrathful Gladiator
  [142]={4, 7, "Highest rated arena team in the Battlegroup at end of Season 8"},

};
